'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _App = require('./component/App');

var _App2 = _interopRequireDefault(_App);

var _Page = require('./component/Page');

var _Page2 = _interopRequireDefault(_Page);

var _swipeRouter = require('./js/swipe-router');

var _swipeRouter2 = _interopRequireDefault(_swipeRouter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
	install: function install(Vue) {
		var opts = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

		if (this.installed) return;

		_App2.default.mounted = function () {
			var _this = this;

			this.$nextTick(function (_) {
				(0, _swipeRouter2.default)(_this, opts);
			});
		};
		Vue.component(opts.list_name || 'list', { template: '<ul class="set-list"><slot/></ul>' });
		Vue.component(_App2.default.name, _App2.default);
		Vue.component(_Page2.default.name, _Page2.default);
	}
};
//# sourceMappingURL=index.js.map